import { SetStateFunc, VoidFunc, VoidFuncNoParam } from "../../../../fd-toolbox/functions/internal-getter-setter-functions";
import { Notification } from "../../resources/notification/notification.resource";
export declare function initNotificationMenu(setNotifications: VoidFunc<Notification[]>, setHasUnreadNotification: VoidFunc<boolean>, notificationProps?: Notification[]): void;
export declare function readNotifications(notifications: Notification[], setNotifications: VoidFunc<Notification[]>, setHasUnreadNotification: VoidFunc<boolean>): Promise<void>;
export declare function setNotificationState(notification: Notification, setNotifications: SetStateFunc<Notification[]>, setHasUnreadNotification: SetStateFunc<boolean>): void;
export declare function onClear(clear: VoidFuncNoParam, onNotification: VoidFunc<Notification>): void;
export declare function initNotification(loggedIn: boolean, userId: string, setNotifications: SetStateFunc<Notification[]>, setHasUnreadNotification: SetStateFunc<boolean>, onNotification: VoidFunc<Notification>, notificationProps: Notification[]): Promise<any>;
/** @internal */
export declare function getNotificationMenuId(parentContextName?: string, index?: number): string;
/** @internal */
export declare function getNotificationMenuTriggerId(parentContextName: string, index?: number): string;
/** @internal */
export declare function getNotificationBaseId(): string;
export declare function handleNotificationOpenChange(open: boolean, setIsOpen: VoidFunc<boolean>, notifications: Notification[], setNotifications: SetStateFunc<Notification[]>, setHasUnreadNotification: VoidFunc<boolean>): Promise<void>;
